#   Default Environment Variables for IBM Informix Database Driver for Perl DBI Version 2008.0513 (2008-05-13)
#
#   Copyright 2002-03 IBM
#   Copyright 2004-08 Jonathan Leffler
#
#   You may distribute under the terms of either the GNU General Public
#   License or the Artistic License, as specified in the Perl README file.

{
    package DBD::Informix::Defaults;

    require Exporter;
    @ISA = qw(Exporter);
    @EXPORT = qw(default_INFORMIXDIR default_INFORMIXSERVER);
    $VERSION = "2008.0513";
    $VERSION = "0.97002" if ($VERSION =~ m%[:]VERSION[:]%);

	sub default_INFORMIXDIR
	{
		return '/opt/informix';
	}
	sub default_INFORMIXSERVER
	{
		return 'production';
	}
    1;
}

__END__

=head1 NAME

DBD::Informix::Defaults - Default values for INFORMIXDIR and INFORMIXSERVER

=head1 SYNOPSIS

use DBD::Informix::Defaults;

=head1 DESCRIPTION

This module was generated automatically by DBD::Informix
(IBM Informix Database Driver for Perl DBI Version 2008.0513 (2008-05-13)).
It records the default values of INFORMIXDIR and INFORMIXSERVER
that were in use when DBD::Informix was built.
You can edit the returned values if you need to,
but worry about where the Informix libraries are loaded from.

Because DBD::Informix was built without a relocatable INFORMIXDIR,
if you edit INFORMIXDIR here, you will need to keep the libraries
in the original location because those path names are hard-linked.

The recorded default values are:

    INFORMIXDIR    = "/opt/informix"
    INFORMIXSERVER = "production"

You will seldom if ever have cause to use this module directly.
You should seldom have cause to use it indirectly either because
you will always set INFORMIXDIR and INFORMIXSERVER in the
environment before using DBD::Informix.

This module increases the chances of DBD::Informix working
with Apache and mod_perl without attention modifying the Apache configuration.

=head1 AUTHOR

Jonathan Leffler

=cut
